Resource Center/Hardware/Backup Storage Operations/Ceph Backup Storage Operations
PUTCeph Backup Storage OperationsSince 0.6SynchronousAuth Required
UpdateCephBackupStorageMon
UpdateCephBackupStorageMon
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
monUuidStringRequiredThe Ceph mon (monitor daemon) UUID.
Body Fields
updatecephbackupstoragemonObjectRequiredupdatecephbackupstoragemon request body object.
hostnameStringOptional. The new hostname of the Ceph mon.
sshUsernameStringOptional. The SSH username of the Ceph mon.
sshPasswordStringOptional. The SSH password of the Ceph mon.
sshPortIntegerOptional. The SSH port of the Ceph mon.
monPortIntegerOptional. The port of the Ceph mon.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/backup-storage/ceph/mons/{monUuid}/actions
/zstack/v1/backup-storage/ceph/mons/{monUuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/backup-storage/ceph/mons/{monUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatecephbackupstoragemon":{"hostname":"<hostname>","sshUsername":"<sshUsername>","sshPassword":"<sshPassword>","sshPort":1,"monPort":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "mons": [ { "monAddr": "10.0.1.4", "monUuid": "e1fd732039e64d3bb81d779cdea2e0e1" } ], "name": "My Ceph Backup Storage", "description": "Public Ceph Backup Storage", "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:20:08 PM", "lastOpDate": "Jun 7, 2017 9:20:08 PM", "attachedZoneUuids": [ "073a93204ff54164af04748a7c2697c6" ] } }Change History
This API has no change history records yet.
